@import '../../assets/scss/variables.scss';

.off-canvas-container {
  position: fixed;
  background-color: lighten($color: $primary-color, $amount: 10);
  height: 100%;
  width: 250px;
  top: 0;
  left: 0;
  z-index: 99;
  transform: translateX(-250px) rotate3d(0, 1, 0, -90deg);
  transition: all 0.5s ease-in-out;
  transform-style: preserve-3d;
  overflow-x: hidden;

  .off-canvas-menu {
    padding: 0;
    list-style: none;

    li {
      padding: 1em 0 1em 2em;
      width: 90%;

      a,
      a:visited {
        font-size: 1.5em;
        text-decoration: none;
        color: white;
        transition: all 0.5s ease;

        &:hover {
          font-size: 1.6em;
          margin-left: 0.5em;
        }
      }

      &:hover {
        background-color: lighten($color: $primary-color, $amount: 5);
      }
    }
  }

  &.open {
    transform: translateX(0) rotate3d(0, 1, 0, 0deg);
    transition: all 1s ease-in-out;
  }
}

.menu {
  position: relative;
  width: 100%;
  z-index: 0;

  .navbar {
    position: relative;
    top: 0;
    width: 80%;
    padding: 0.5em 10% 0.5em 10%;
    background-color: $back-color;
    border-bottom: 2px solid $border-color;

    & > * {
      display: inline-block;
    }

    h1,
    div {
      z-index: 0;
    }

    .off-canvas-menu-button {
      z-index: 99;
    }

    .off-canvas-menu-button {
      font-size: 2em;
      color: $primary-color;
      text-decoration-style: none;
      transition: all 0.7s ease-in-out;
    }

    .off-canvas-menu-button.open {
      margin-left: 13vw;
    }

    .brand {
      margin-left: 0.5em;
      width: 20%;
      z-index: 0;
    }

    .off-canvas-menu-button.open ~ div {
      margin-left: -13vw;
    }

    .user-login {
      position: relative;
      right: -60%;
      padding: 0.5em;
      z-index: 0;
      transition: all 1s ease;

      .user-name {
        padding-right: 0.5em;
        border-right: 1px solid $border-color;
      }

      .user-name .user-name-icon {
        color: $primary-color;
      }
    }

    .user-login > * {
      display: inline-block;
    }
  }
}

/* Breadcrumb */

header {
  width: 100%;
  z-index: 0;

  .breadcrumb {
    width: 80%;
    margin: 0;
    padding: 1em 10% 1em 10%;
    list-style: none;
    border-bottom: 1px solid lighten($color: $border-color, $amount: 80);

    & > li {
      display: inline-block;

      & > a,
      & > a:visited {
        color: $primary-color;
        text-decoration: none;

        &:hover {
          text-decoration: underline;

          & > * {
            font-size: 0.9em;
            border-bottom: 1px solid $primary-color;
          }
        }
      }

      &:not(:last-child)::after {
        content: '˃';
        font-size: 1em;
        padding-left: 0.5em;
        color: lighten($color: $border-color, $amount: 70);
      }
    }
  }

  .page-section {
    height: 20%;
    width: 80%;
    padding: 2em 10% 2em 10%;
    background-color: lighten($color: $border-color, $amount: 90);

    & > * {
      display: inline-block;
    }

    .type {
      width: 87%;
      & > * {
        display: inline-block;
      }

      .item {
        width: 18%;

        & > * {
          display: inline-block;
        }

        .icon {
          color: lighten($color: $border-color, $amount: 60);
          font-size: 2.5em;
        }

        .item-text > p {
          color: lighten($color: $border-color, $amount: 60);
        }

        .item-text > p,
        .item-text > h3 {
          width: 100%;
          margin: 0 0 0 5px;
          padding: 0;
        }
      }
    }

    .slogan {
      width: 12%;

      & > * {
        display: inline-block;
      }

      .icon {
        color: $primary-color;
        font-size: 2.3em;
      }

      .slogan-text > p {
        color: lighten($color: $border-color, $amount: 60);
      }

      .slogan-text > p,
      .slogan-text > h3 {
        width: 100%;
        margin: 0 0 0 5px;
        padding: 0;
      }

      div > h3 {
        color: $primary-color;
      }
    }
  }
}
